/*  CRT shader
 *
 *  Copyright (C) 2010, 2011 cgwg, Themaister and DOLLS
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License as published by the Free
 *  Software Foundation; either version 2 of the License, or (at your option)
 *  any later version.
 */

uniform vec2 color_texture_sz;
uniform vec2 color_texture_pow2_sz;

// Define some calculations that will be used in fragment shader.
varying vec2 texCoord;
varying vec2 one;

void main()
{
  // Do the standard vertex processing.
  gl_Position = gl_ModelViewProjectionMatrix * gl_Vertex;

  // Precalculate a bunch of useful values we'll need in the fragment
  // shader.

  // Texture coords.
  texCoord = gl_MultiTexCoord0.xy;

  // The size of one texel, in texture-coordinates.
  one = 1.0 / color_texture_pow2_sz;
}
